Retrieve a vehicle
curl --request GET \
--url https://api-sandbox.argyle.com/v2/vehicles/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/v2/vehicles/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/v2/vehicles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "01763a69-5cbe-2edb-ade1-5591157c354d",
"account": "0187c66e-e7e5-811c-b006-2232f00f426a",
"identification": "AEWUQ7",
"make": "Ford",
"model": "Mondeo",
"type": "car",
"year": 1998,
"vin": "QUICELDKTRQJ4S33C",
"employer": "GigAndGo",
"created_at": "2023-02-09T13:42:03.966Z",
"updated_at": "2023-02-09T13:42:03.966Z",
"metadata": {}
}Vehicles
Retrieve A Vehicle
Retrieves a vehicle object.
GET
/
v2
/
vehicles
/
{id}
Retrieve a vehicle
Authorizations
Username = api_key_id, Password = api_key_secret
Path Parameters
ID of the vehicle object to be retrieved.
Response
200 - application/json
Unique ID of the vehicle.
ID of the account associated with the vehicle.
License plate number or similar vehicle identifier.
Vehicle brand or manufacturer.
Vehicle model.
The type of vehicle.
Available options:
car, pedestrian, ebike, bicycle, scooter, motorcycle, other Year the vehicle was made.
Vehicle Identification Number (VIN).
Name of the user's employer.
Additional, non-categorized information.